#ifndef CSIGSTAT_H
#define CSIGSTAT_H

#include "iSigStat.h"


/*****************************
 * class cSigStat            *
 *****************************/
class cSigStat : public virtual iSigStat{
public:
  cSigStat();
  ~cSigStat();
  int Initialize(char *ifname, int flags);
  int wifi_getmode();
  char *wifi_getessid();
  char * wifi_getchannel();
  int wifi_getrange( int *maxSignal, int *maxNoise, int *maxQual,
		int *minSignal, int *minNoise, int *minQual );
  int wifi_getsignal( int *signal, int *noise, int *qual );
  unsigned char *wifi_getmac( unsigned char *addr );
  int wifi_gettable( int count, sigtuple *sigtupleAr );
  int wifi_getifs( int *count, char **iflist, int max);
  void wifi_close();
  
private:
  int mSkfd;
  char *mIfname;
  bool mAdhoc;
  bool mInitialized;
};

char *getToken( char *line, int *i );
#endif

